Ryzom - Bug # 759

Status: Closed Priority: Normal
Author: sfb Category: Build
Created: 10/22/2009 Assignee: sfb
Updated: 10/02/2010 Due date:

Subiject: IDriver doesn't recognize _r and _d decoration

Description

IDriver doesn't recognize _r and _d decoration. Fix this for CMake build environments or modify IDriver. Test case is that
nl_sample_shapeview and cluster_viewer fail.

History

#1 - 10/22/2009 04:24 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1852.

#2 - 10/22/2009 05:05 pm - sfb

- Status changed from Resolved to Closed
- Assignee set to sfb

- Estimated time set to 1.00

The Linux loader doesn't want the libraries to be decorated. This can be confirmed by looking at the old DECORATE_NEL_LIB macro in nel.cmake - it
is encompassed by an IF qualifier block. | moved the DEBUG_POSTFIX and RELEASE_POSTFIX properties to an SET_TARGET_PROPERTIES
that is contained within a IF block.

| tested on Linux with cluster_viewer and nl_sample_shapeview successfully.

#3 - 09/29/2010 09:46 pm - kervala

- Project changed from NeL to Ryzom

- Category deleted (3d)

- Target version deleted (Version 0.7.0)

#4 - 10/02/2010 11:47 am - kervala

- Category set to Build
- Target version set to Version 0.7.0

07/09/2015 1/1




